%define api 2.0
%define major 0
%define libname %mklibname atk-bridge %{api} %{major}
%define devname %mklibname atk-bridge %{api} -d

Summary:	A GTK+ module that bridges ATK to D-Bus at-spi
Name:		at-spi2-atk
Version:	2.12.0
Release:	3
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.12/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0)
Requires:	at-spi2-core

%description
at-spi allows assistive technologies to access GTK-based applications.
Essentially it exposes the internals of applications for automation, so
tools such as screen readers, magnifiers, or even scripting interfaces
can query and interact with GUI controls.

This version of at-spi is a major break from previous versions. It has
been completely rewritten to use D-Bus rather than ORBIT / CORBA for its
transport protocol.

This package includes a gtk-module that bridges ATK to the new D-Bus
based at-spi.

%files
%doc COPYING AUTHORS README
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/modules
%{_libdir}/gtk-2.0/modules/libatk-bridge.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Requires:	%{name}
Conflicts:	%{name} < 2.8.1-2

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libatk-bridge-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 2.8.1-2
Obsoletes:	%{name}-devel < 2.8.1-2

%description -n %{devname}
This package includes the header files for the %{name} library.

%files -n %{devname}
%{_includedir}/at-spi2-atk/%{api}/atk-bridge.h
%{_libdir}/libatk-bridge-%{api}.so
%{_libdir}/pkgconfig/atk-bridge-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath

%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.12.0-3
+ Revision: 9f19fed
- MassBuild#440: Increase release tag


